Class AlphaGetMetadataBuilder

java.lang.Object
com.dropbox.core.v2.files.AlphaGetMetadataBuilder

public class AlphaGetMetadataBuilder extends Object
The request builder returned by DbxUserFilesRequests.alphaGetMetadataBuilder(java.lang.String).

Use this class to set optional request parameters and complete the request.

  • Method Details

    • withIncludeMediaInfo

      public AlphaGetMetadataBuilder withIncludeMediaInfo(Boolean includeMediaInfo)
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      includeMediaInfo - If true, FileMetadata.getMediaInfo() is set for photo and video. Defaults to false when set to null.
      Returns:
      this builder
    • withIncludeDeleted

      public AlphaGetMetadataBuilder withIncludeDeleted(Boolean includeDeleted)
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      includeDeleted - If true, DeletedMetadata will be returned for deleted file or folder, otherwise LookupError.NOT_FOUND will be returned. Defaults to false when set to null.
      Returns:
      this builder
    • withIncludeHasExplicitSharedMembers

      public AlphaGetMetadataBuilder withIncludeHasExplicitSharedMembers(Boolean includeHasExplicitSharedMembers)
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      includeHasExplicitSharedMembers - If true, the results will include a flag for each file indicating whether or not that file has any explicit members. Defaults to false when set to null.
      Returns:
      this builder
    • withIncludePropertyGroups

      public AlphaGetMetadataBuilder withIncludePropertyGroups(TemplateFilterBase includePropertyGroups)
      Set value for optional field.
      Parameters:
      includePropertyGroups - If set to a valid list of template IDs, FileMetadata.getPropertyGroups() is set if there exists property data associated with the file and each of the listed templates.
      Returns:
      this builder
    • withIncludePropertyTemplates

      @Deprecated public AlphaGetMetadataBuilder withIncludePropertyTemplates(List<String> includePropertyTemplates)
      Deprecated.
      Set value for optional field.
      Parameters:
      includePropertyTemplates - Field is deprecated. If set to a valid list of template IDs, FileMetadata.getPropertyGroups() is set for files with custom properties. Must not contain a null item.
      Returns:
      this builder
      Throws:
      IllegalArgumentException - If any argument does not meet its preconditions.
    • start

      Issues the request.
      Throws:
      AlphaGetMetadataErrorException
      DbxException